Hooks:PostHook(CopDamage, "_check_special_death_conditions","explode",function(self,variant, body, attacker_unit, weapon_unit) 
    local special_deaths = self._unit:base():char_tweak().special_deaths

	if not special_deaths or not special_deaths[variant] then
		return
	end

	local body_data = special_deaths[variant][body:name():key()]

	if not body_data then
		return
	end

	local attacker_name = managers.criminals:character_name_by_unit(attacker_unit)

	if body_data.weapon_id and alive(weapon_unit) then
		local factory_id = weapon_unit:base()._factory_id

		if not factory_id then
			return
		end

		if weapon_unit:base():is_npc() then
			factory_id = utf8.sub(factory_id, 1, -5)
		end

		local weapon_id = managers.weapon_factory:get_weapon_id_by_factory_id(factory_id)

		
			if self._unit:damage():has_sequence(body_data.sequence) then
				self._unit:damage():run_sequence_simple(body_data.sequence)
			end

			
			if body_data.special_comment and attacker_unit == managers.player:player_unit() then
				return body_data.special_comment
			end
		
	end
end
)

Hooks:PostHook(CopDamage, "_comment_death","voice",function(self,attacker, killed_unit, special_comment) 
	local victim_base = killed_unit:base()
	local attacker_name = managers.criminals:character_name_by_unit(attacker_unit)
	if special_comment and attacker_name ~= "bodhi" and victim_base:has_tag("taser") then
		PlayerStandard.say_line(attacker:sound(), "g32x_any")
	end
end
)